﻿using Connected.Entities.Storage;
using System.Collections.Immutable;

namespace Connected.Data.Sharding;

public interface IShardingMiddleware : IMiddleware
{
   bool SupportsEntity(Type entityType);
   Task<ImmutableArray<IShardingNode>> ProvideNodes(IStorageOperation operation);
   Task<ImmutableArray<IShardingNode>> ProvideNodes(Type entityType);
}
